> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start an eWallet session

## Prerequisites

<CardGroup cols={2}>
  <Card title="Store eWallet Account" icon="wallet" href="/guides/library/store-merchant-account">
    Configure credentials for Apple Pay, Google Pay, PayPal, etc.
  </Card>

  <Card title="PSP Setup" icon="building-columns" href="/guides/library/psp-setup">
    Configure your Payment Gateway Account for processing.
  </Card>
</CardGroup>

## Related

<Card title="Payments Library Setup Guide" icon="book" href="/guides/library/setup">
  Complete guide with session configuration and payment button setup
</Card>


## OpenAPI

````yaml post /EWalletOperations
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.11.6
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: StringTokens
    description: Token management
  - name: Tools
    description: >-
      Card tools for BIN/IIN lookup, brand identification, Luhn validation, and
      card risk assessment
  - name: Utils
    description: Utils
paths:
  /EWalletOperations:
    post:
      tags:
        - EWalletOperations
      summary: Start an eWallet session
      operationId: StartSession
      requestBody:
        description: Start Session Request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/eWallet.Models.StartEWalletsSessionRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/eWallet.Models.TokenModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
      security:
        - ApiKeyAuth: []
components:
  schemas:
    eWallet.Models.StartEWalletsSessionRequest:
      type: object
      properties:
        operation:
          $ref: '#/components/schemas/eWallet.Enums.Operation'
        paymentGatewayAccountId:
          type: string
          nullable: true
        paymentGatewayCertName:
          type: string
          nullable: true
        allowedeWalletAccountIds:
          type: array
          items:
            type: string
          nullable: true
        customerName:
          type: string
          nullable: true
        customerPhone:
          type: string
          nullable: true
        customerEmail:
          type: string
          nullable: true
        storedCards:
          type: array
          items:
            $ref: >-
              #/components/schemas/eWallet.Models.StartEWalletsSessionRequestStoredCard
          nullable: true
        mode:
          $ref: '#/components/schemas/eWallet.Enums.Mode'
        currencyCode:
          $ref: '#/components/schemas/Payments.CurrencyCode'
        countryCode:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        paymentNote:
          type: string
          nullable: true
        allowedBrands:
          type: array
          items:
            $ref: '#/components/schemas/Payments.CardTypes'
          nullable: true
        threeDsBrands:
          type: array
          items:
            $ref: '#/components/schemas/Payments.CardTypes'
          nullable: true
        fallbackUpgs:
          type: array
          items:
            $ref: '#/components/schemas/eWallet.Models.FallbackUpg'
          nullable: true
        publicKey:
          type: string
          nullable: true
      additionalProperties: false
    eWallet.Models.TokenModel:
      type: object
      properties:
        token:
          type: string
          nullable: true
      additionalProperties: false
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages
    eWallet.Enums.Operation:
      enum:
        - CHARGE
        - TOKENIZE
        - CHARGE_AND_TOKENIZE
        - PREAUTH_AND_TOKENIZE
      type: string
    eWallet.Models.StartEWalletsSessionRequestStoredCard:
      type: object
      properties:
        token:
          type: string
          nullable: true
        expirationYear:
          type: integer
          format: int32
        expirationMonth:
          type: integer
          format: int32
        nameOnCard:
          type: string
          nullable: true
        lastDigits:
          pattern: \d{4}
          type: string
          nullable: true
        brand:
          $ref: '#/components/schemas/Payments.CardTypes'
        ownerId:
          type: string
          nullable: true
      additionalProperties: false
    eWallet.Enums.Mode:
      enum:
        - TEST
        - LIVE
      type: string
    Payments.CurrencyCode:
      enum:
        - AFN
        - EUR
        - ALL
        - DZD
        - USD
        - AOA
        - XCD
        - ARS
        - AMD
        - AWG
        - AUD
        - AZN
        - BSD
        - BHD
        - BDT
        - BBD
        - BYR
        - BZD
        - XOF
        - BMD
        - BTN
        - INR
        - BOB
        - BOV
        - BAM
        - BWP
        - NOK
        - BRL
        - BND
        - BGN
        - BIF
        - KHR
        - XAF
        - CAD
        - CVE
        - KYD
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - KMF
        - CDF
        - NZD
        - CRC
        - HRK
        - CUC
        - CUP
        - ANG
        - CZK
        - DKK
        - DJF
        - DOP
        - EGP
        - SVC
        - ERN
        - ETB
        - FKP
        - FJD
        - XPF
        - GMD
        - GEL
        - GHS
        - GIP
        - GTQ
        - GBP
        - GNF
        - GYD
        - HTG
        - HNL
        - HKD
        - HUF
        - ISK
        - IDR
        - XDR
        - IRR
        - IQD
        - ILS
        - JMD
        - JPY
        - JOD
        - KZT
        - KES
        - KPW
        - KRW
        - KWD
        - KGS
        - LAK
        - LBP
        - LSL
        - ZAR
        - LRD
        - LYD
        - CHF
        - LTL
        - MOP
        - MKD
        - MGA
        - MWK
        - MYR
        - MVR
        - MRO
        - MUR
        - XUA
        - MXN
        - MXV
        - MDL
        - MNT
        - MAD
        - MZN
        - MMK
        - NAD
        - NPR
        - NIO
        - NGN
        - OMR
        - PKR
        - PAB
        - PGK
        - PYG
        - PEN
        - PHP
        - PLN
        - QAR
        - RON
        - RUB
        - RWF
        - SHP
        - WST
        - STD
        - SAR
        - RSD
        - SCR
        - SLL
        - SGD
        - XSU
        - SBD
        - SOS
        - SSP
        - LKR
        - SDG
        - SRD
        - SZL
        - SEK
        - CHE
        - CHW
        - SYP
        - TWD
        - TJS
        - TZS
        - THB
        - TOP
        - TTD
        - TND
        - TRY
        - TMT
        - UGX
        - UAH
        - AED
        - USN
        - UYI
        - UYU
        - UZS
        - VUV
        - VEF
        - VND
        - YER
        - ZMW
        - ZWL
        - XBA
        - XBB
        - XBC
        - XBD
        - XTS
        - XXX
        - XAU
        - XPD
        - XPT
        - XAG
      type: string
    Payments.CardTypes:
      enum:
        - Unspecified
        - AMEX
        - BC
        - CartaSi
        - Dankort
        - Delta
        - DinersClub
        - Discover
        - Electron
        - Elo
        - enRoute
        - Hipercard
        - JCB
        - Maestro
        - MasterCard
        - MC_Alaska
        - MC_Canada
        - Switch
        - Troy
        - UATP
        - UnionPay
        - Visa
      type: string
    eWallet.Models.FallbackUpg:
      type: object
      properties:
        paymentGatewayAccountId:
          type: string
          nullable: true
        paymentGatewayCertName:
          type: string
          nullable: true
        pass3DSData:
          type: boolean
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Please enter ApiKey into field
      name: X-Api-Key
      in: header

````